FreeBSD NFS Client Privilege Escalation Exploit

The NFS client subsystem in FreeBSD fails to correctly validate the length of a parameter provided by the user when a filesystem is mounted. This may cause a kernel stack overflow that can be exploited by local users to gain root privileges.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2010-2020
Product Version: 
12.3
Released Date: 
Friday, August 31, 2012 - 00:00